<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


if($_GET['contenedor']) $contenedor=$_GET['contenedor']; else $contenedor=$_POST['contenedor'];
if($_GET['packinglist']) $packinglist=$_GET['packinglist']; else $packinglist=$_POST['packinglist'];

$tipoOrdenConPackingList=( ($_SESSION['orden']['TipoOrden']=='S' || $_SESSION['orden']['TipoOrden']=='A') && $_SESSION['orden']['PackingList'] );

//Error detectado IGAN 26-1-2021 para ordenes de traspaso sin PL
//if($_SESSION['orden']['TipoOrden']!='P') { //Solo si la OP no es de Picking (sino de prepararación normal a carga)
if($tipoOrdenConPackingList) {

	$peticion='SGAInformacionPackingList#'.$_SESSION['orden']['Empresa'].'#'.$packinglist;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$datosPackingList=$resultado[0];
	
	$listadoPalets=arreglaArrayPXMobileProxiumResult($datosPackingList['IDPalets']);
	$listadoCajas=array();
	
	foreach( $listadoPalets as $item ) {
		
		if( $item['IDPalet']==$contenedor ) {
			
			$caja=($item['EsCaja']=='S');
			
			$contenedorMostrar=$item;
			$productos=arreglaArrayPXMobileProxiumResult($item['Productos']);
			
			foreach($listadoPalets as $item2) {
				if( $item2['IDPaletPadre']==$contenedor ) {
					$listadoCajas[]=$item2['IDPalet'];
				}
			}
			
			break;
		}
	
	}
	
}
else { //No es un tipo de orden con packing list

	//Recargamos datos de cabecera, qeu es donde esta el listado de palets
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	//TICKET 25066120 tras recargar los datos de la orden, perdíamos la procedencia
	$procedenciaPantallaTablet=$_SESSION['orden']['procedenciaPantallaTablet'];
	$_SESSION['orden']=$resultado[0];
	$_SESSION['orden']['procedenciaPantallaTablet']=$procedenciaPantallaTablet;
	
	$productos=array();
	$productosTemp=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);
	
	foreach($productosTemp as $item) { //Agrupaciones de primer nivel
		if($item['Contenedor']==$contenedor && $item['Preparado']>0) {
			
			//Añadimos los compotamientos del bloque DAtos como campos sueltos, ya que el otro metodo de PL los muestra así y este no
			$datos=$item['Datos']['PXMobileProxiumResult'];
			foreach($datos as $dato) {
				//echo '<p>Evaluamos dato: </p>';
				//print_r($dato);
				foreach($_SESSION['comportamientos'] as $comportamiento) {
					if($comportamiento['Codigo']==$dato['Codigo']) {
						$item[ $comportamiento['NombreSQL'] ]=$dato['Valor'];
					}
				}
			}
			
			$productos[]=$item;
			
			//print_r($item);
			//echo '<hr>';
		}
	}

}

if($caja) {
	?><h2><img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="40" style="margin-bottom:-8px"/> Caja <?php echo $contenedor; ?></h2><?php
	if($contenedorMostrar['IDPaletPadre']) {
		?><p>Caja contenida en: <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" width="40" style="margin-bottom:-5px"/> Palet <?php echo $contenedorMostrar['IDPaletPadre']; ?></p><?php
	}
}
else {
	?><h2><img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" width="50" style="margin-bottom:-8px"/> Palet <?php echo $contenedor; ?></h2><?php
}

if( count($listadoCajas)>0 && ! $caja ) {
	?><p>Cajas contenidas en este Palet:</p><?php
	foreach($listadoCajas as $item) {
		?><p><img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="30" style="margin-bottom:-5px"/> Caja <?php echo $item; ?></p><?php
	}
}

if(count($productos)>0) {
	
	?>
    <p>Artículos contenidos en <?php if($caja) { ?>esta Caja<?php } else { ?>este Palet<?php } ?>:</p>
    
    <table class="tablaFormateada">
<tr>
				<th align="center">Código</th>
              <th align="center">Descripción</th>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                <?php if($comportamiento['Activo']) { ?><th align="center"><?php echo $comportamiento['Nombre']; ?></th>
            <?php } ?>
                <?php } ?>
                <?php if($_SESSION['gestionPaletizado']=='S') { ?><th align="center">Contenedor</th>
            <?php } ?>
                <th width="100" align="center">Ubicación</th>
              <th align="center">Cantidad</th>
		      <th align="center">Cambiar de Palet</th>
   	  </tr>
	<?php
	
	foreach($productos as $producto) {
			?>
			<tr>
            	<td><?php echo $producto['Codigo']; ?></td>
                <td align="left"><?php echo $producto['Descripcion']; ?></td>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                	<?php if($comportamiento['Activo']=='S') { ?>
                    	<td><?php echo $producto[$comportamiento['NombreSQL']]; ?></td>
                    <?php } ?>
				<?php } ?>
                <?php if($_SESSION['gestionPaletizado']=='S') { ?><td><?php echo $producto['Contenedor']; ?></td><?php } ?>
                <td><?php echo $producto['Ubicacion']; ?></td>
                <td align="right"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
                <td align="center"><!--<img id="imagenProductoCaja<?php echo $producto['ContadorCaja']; ?>" lineaProducto="<?php echo $producto['ContadorCaja']; ?>" src="<?php echo DIR_IMAGENES; ?>/caja.png" width="47" class="imagenCambioProductoCaja clicable" cantidad="<?php echo $producto['Cantidad']; ?>"/>--></td>
			</tr>
        	<?php
	}
		
	?></table>
        
<?php } else { ?><p>Este Palet todavía no contiene productos.</p><?php } ?>
    
<script>

	$(document).ready(function() {
	
		
	});
	
</script>